Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0001128 [DCSS] FR: Interface Improvements minor always 2010-03-21 10:34 2014-07-23 22:26
Reporter Cab View Status public  
Assigned To wheals
Priority normal Resolution done  
Status resolved   Product Branch 0.7 ancient branch
Summary 0001128: Vampire corpse draining
Description I recently played a vampire for the first time. I am uncertain how this really works, but I see I can't drain some corpses (like kobolds). When trying, I get the same message as when typing e without any corpses on ground or in inventory: "You aren't carrying any corpses which you can drain". If carrying a rat corpse while standing on a kobold corpse, it asks if I want to drain the rat, which makes sense.

I think adding a different message for the situation when you don't have any drainable corpses in your inventory and when the corpse you're standing on isn't drainable would be a bit clearer.
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0003569)
jpeg (manager)
2010-03-22 10:43

This is a side-effect of disallowing to eat dangerous (e.g. poisonous) chunks from the floor. You have to pick them up if you insist on eating stuff that's dangerous to you, and the same is true for corpses that have dangerous side-effects for Vampires.

I agree that there needs to be some special message that takes this into account.
(0026822)
wheals (administrator)
2014-07-23 22:26

I changed the message by s/aren't carrying/don't have any/ and you can't carry any at all now.

- Issue History
Date Modified Username Field Change
2010-03-21 10:34 Cab New Issue
2010-03-21 15:31 ahpla Note Added: 0003550
2010-03-21 15:33 ahpla Note Deleted: 0003550
2010-03-22 10:43 jpeg Note Added: 0003569
2013-03-17 20:15 mumra Issue Monitored: mumra
2014-07-23 22:26 wheals Note Added: 0026822
2014-07-23 22:26 wheals Status new => resolved
2014-07-23 22:26 wheals Fixed in Branch => 0.15 development branch
2014-07-23 22:26 wheals Resolution open => done
2014-07-23 22:26 wheals Assigned To => wheals


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker